Subject: Jens Jensen

From: Jim Beal <[email-masked]>
Date: Tue, 17 Sep 1996 13:48:27 -0500

In Madison, WI there is a small park that was designed by Jens Jensen.
It is called Glenwood Children's Park. The park was built on the site of
an old quarry. It is now overgrown and the stone council ring is in
disrepair. The neighborhood association is looking for funds to restore
the park. Does anyone know of resources available restore an historic
park, grants, foundations etc?

Thank you,

Jim Beal